	import React, { useState, useEffect } from 'react';
import { csv } from 'd3';


// Load CSV Data
const csvUrl =
  'https://gist.githubusercontent.com/helloaashish/5cb5b1cb5e9775f7a6650e7bf910bfbf/raw/422c0697cf20d301edf9cb4892f4eb726ae45da0/us_population';

export const load = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    // Creating row
    const row = (d) => {
      d.year = new Date(d.year)
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data);
    });
  }, []);
  return data;
};